import { EventEmitter, ElementRef, ChangeDetectorRef, Renderer2 } from '@angular/core';
export declare type AlertType = 'info' | 'error' | 'success';
export declare class AlertComponent {
    private cdRef;
    private el;
    renderer: Renderer2;
    dialog: any;
    type: AlertType;
    title: string;
    content: string;
    modalable: boolean;
    closable: boolean;
    confirmEvent: EventEmitter<Object>;
    cancelEvent: EventEmitter<Object>;
    constructor(cdRef: ChangeDetectorRef, el: ElementRef, renderer: Renderer2);
    open(): void;
    close(): void;
    ok(): void;
}
